JcaAlgorithmParametersConverter (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.operator.jcajce

## Class JcaAlgorithmParametersConverter

- java.lang.Object
- - org.bouncycastle.operator.jcajce.JcaAlgorithmParametersConverter

-     public class JcaAlgorithmParametersConverter
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaAlgorithmParametersConverter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.x509.AlgorithmIdentifier` | `getAlgorithmIdentifier(org.bouncycastle.asn1.ASN1ObjectIdentifier algId, java.security.AlgorithmParameters parameters)`
    `org.bouncycastle.asn1.x509.AlgorithmIdentifier` | `getAlgorithmIdentifier(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm, java.security.spec.AlgorithmParameterSpec algorithmSpec)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaAlgorithmParametersConverter

          public JcaAlgorithmParametersConverter()

  - ### Method Detail

    - #### getAlgorithmIdentifier

          public org.bouncycastle.asn1.x509.AlgorithmIdentifier getAlgorithmIdentifier(org.bouncycastle.asn1.ASN1ObjectIdentifier algId,
                                                                              java.security.AlgorithmParameters parameters)
                                                                                throws java.security.InvalidAlgorithmParameterException

      Throws:
        `java.security.InvalidAlgorithmParameterException`

    - #### getAlgorithmIdentifier

          public org.bouncycastle.asn1.x509.AlgorithmIdentifier getAlgorithmIdentifier(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm,
                                                                              java.security.spec.AlgorithmParameterSpec algorithmSpec)
                                                                                throws java.security.InvalidAlgorithmParameterException

      Throws:
        `java.security.InvalidAlgorithmParameterException`